function Xnext = fwdDyn(X0, u)

global T N m b g 

% options = odeset('RelTol',1e-2,'AbsTol',1e-2);
% [tmp,Sol] = ode45(@(t,x) parkingSystemDiff(t,x,u), [0 T/N], X0, options);
% Xnext = Sol(end,:)';

Xnext = X0 + T/N * parkingSystemDiff(0,X0,u);

function dX = parkingSystemDiff(t,x,u)

global T N m b g 

X1 = x(1);
X2 = x(2);

% dynamical system
dX(1,1) = X2;
dX(2,1) = (1/m) * u - b/m*X2 - 2/m * atan(X1) / (1 + X1^2);



