function error=parkingOptimizationShootingCost(Vect)

global T N m b g x0 dx0 xf dxf   
   
% Initival Adjoint Vector that we are adjusting
p01=Vect(1); % associated to theta1
p02=Vect(2); % associated to theta2

% Initial State
IniState=[ x0 dx0 p01 p02 ];

times=linspace(0,T,N)';
options = odeset('RelTol',1e-3,'AbsTol',1e-3);

[tmp,Sol] = ode45(@(t,x) parkingOptimizationSystemDiff(t,x), times, IniState, options);

x  = Sol(:,1);
dx = Sol(:,2);

p1=Sol(:,3);
p2=Sol(:,4);

error=[ x(end) - xf ; dx(end) - dxf ].^2;
   

